6.0.0-git
2019-09-15

[#12598] Open Ansel to external resources
Summary Open Ansel to external resources
Queue Ansel
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester ryu (at) ryux (dot) org
Created 2013-08-22 (2215 days ago)
Due
Updated 2016-01-26 (1328 days ago)
Assigned
Resolved
Milestone
Patch No

History
2016-01-26 15:40:46 ryu (at) ryux (dot) org Comment #4 Reply to this comment
Good to read it :)
I'm happy that this request is not cancelled
2016-01-19 16:20:39 Jan Schneider State ⇒ Accepted
 
2016-01-19 15:30:44 Michael Rubinsky Comment #3 Reply to this comment
Since Ansel uses VFS to store the images, it would make more sense 
to add a WebDAV driver to Horde_Vfs. Then you could use owncloud or 
any other cloud storage service that provides WebDAV API.
Not sure about external specific photo/video services.
IMO, this won't be enough. Accessing/displaying images from backend 
storage is only one part of what Ansel provides. My plan is to 
implement different "remote gallery" types for different services 
(utilizing various Horde_Service_* libraries). I actually 
hacked-together a prototype of this working with Vimeo back in Horde 3 
to test the idea. This lets us be more flexible in what services we 
can support, not limiting us to cloud services with WebDAV access and 
providing a more feature rice experience for those remote APIs that 
offer more features (I'm thinking Tags, Geolocation, "likes", 
different ways of grouping photos together etc...) Any photo sharing 
site we can write a Horde_Service_* package for could be supported.

We could (and should) make a "WebDAV gallery type" one of a multitude 
of remote gallery types, but shouldn't limit remote access to WebDAV.
2016-01-19 12:20:04 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Since Ansel uses VFS to store the images, it would make more sense to 
add a WebDAV driver to Horde_Vfs. Then you could use owncloud or any 
other cloud storage service that provides WebDAV API.
Not sure about external specific photo/video services.
2013-08-22 07:31:24 ryu (at) ryux (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Open Ansel to external resources
Queue ⇒ Ansel
Milestone ⇒
Patch ⇒ No
Reply to this comment
The idea is to allow Ansel to access files stored to an external resource.

Example :

Ansel displays photos stored on a remote owncloud installation.
Ansel displays photos from external media sites like Vimeo.

Ryu

Saved Queries